17 July 2008

Pesan Error : Gem::RemoteFetcher::FetchError

Sewaktu saya akan install Ruby on Rails, muncul pesan error
Gem::RemoteFetcher::FetchError
Berdasarkan pencarian di google saya menemukan solusi disini.
Kurang lebih caranya sebagai berikut :
1. $ gem -v
1.2.0
2. $ sudo gem update --system
Updating RubyGems
Nothing to update
3. $ sudo gem update rails
Updating installed gems
Nothing to update
4. sudo gem install rails -p http://user:password@proxyserver:port -V
HEAD 200 OK: http://gems.rubyforge.org/latest_specs.4.8
GET 200 OK: http://gems.rubyforge.org/latest_specs.4.8.gz
Installing gem rails-2.1.0
/opt/local/lib/ruby/gems/1.8/gems/rails-2.1.0/CHANGELOG
/opt/local/lib/ruby/gems/1.8/gems/rails-2.1.0/fresh_rakefile
====dipotong====
/opt/local/bin/rails
Successfully installed rails-2.1.0
1 gem installed
Semoga membantu :)

No comments:

Post a Comment

Disqus for Dedy selalu Milisdad